Subject: [xml2rfc-dev] v3 HTML experimental output

From: Tom Pusateri <[email-masked]>
Date: Thu, 7 Feb 2019 19:00:19 -0500

I know this is totally a preference and in no way a bug but I wanted to give an opinion on the v3 html output when using a v3 xml file with xml2rfc (v2.18.0).

Note: I did use v2tov3 conversion after running kramdown-rfc2629 so the intermediate xml file may need some hand adjustments still that I haven’t figured out.

Likes:

The general layout is nice.
The default fonts are a good choice.
The default font sizes seem appropriate.

Suggestions:

1. It would be nice if links to other RFCs would just go directly to the RFC instead of the reference section. This multi-step process doesn’t seem to serve any purpose.

2. Links directly to sections of other RFCs don’t seem to happen automatically in the v2tov3 conversion. That is ok but would be a nice feature. I know it’s only based on heuristics and can’t be done in all cases but if it can, it should be.

3. The Table of Contents on the right side is very nice but in my opinion, it shouldn’t scroll. It should extend as far down as it needs to. Scroll bars within scroll bars are evil.

4. reference indentations seem to be inconsistent between RFC’s and drafts because of the width I assume. RFC references are indented whereas internet draft references are not. The square bracket starts at the beginning of the line.

Anyway, nice job with this.

Thanks,
Tom